Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.set_cluster_price(model="Cruze", rates={})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.setClusterPrice({
model: "Cruze",
rates: {},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
PutModelPriceBody req = new PutModelPriceBody() {
Model = "Cruze",
Rates = new PutModelPriceBodyRates() {},
};
var res = await sdk.Llm.Models.SetClusterPriceAsync(req);
// handle responsecurl --request PUT \
--url https://apigw.mka1.com/api/v1/llm/models/pricing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"rates": {
"input_tokens": 500000000,
"output_tokens": 500000000,
"cached_tokens": 500000000,
"reasoning_tokens": 500000000,
"characters": 500000000,
"seconds": 500000000,
"image": 500000000,
"image_tiers": {},
"searches": 500000000
}
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
rates: {
input_tokens: 500000000,
output_tokens: 500000000,
cached_tokens: 500000000,
reasoning_tokens: 500000000,
characters: 500000000,
seconds: 500000000,
image: 500000000,
image_tiers: {},
searches: 500000000
}
})
};
fetch('https://apigw.mka1.com/api/v1/llm/models/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "<string>",
"org_id": "<string>",
"rates": {
"input_tokens": 500000000,
"output_tokens": 500000000,
"cached_tokens": 500000000,
"reasoning_tokens": 500000000,
"characters": 500000000,
"seconds": 500000000,
"image": 500000000,
"image_tiers": {},
"searches": 500000000
},
"effective_from": "<string>",
"effective_to": "<string>",
"set_by": "<string>"
}Models
Establecer un precio de modelo predeterminado para el clúster
Actualiza el precio predeterminado del clúster para un modelo como una nueva versión datada. rates es un mapa de métricas→tarifas flexible; las métricas omitidas no se cobran.
PUT
/
api
/
v1
/
llm
/
models
/
pricing
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.set_cluster_price(model="Cruze", rates={})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.setClusterPrice({
model: "Cruze",
rates: {},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
PutModelPriceBody req = new PutModelPriceBody() {
Model = "Cruze",
Rates = new PutModelPriceBodyRates() {},
};
var res = await sdk.Llm.Models.SetClusterPriceAsync(req);
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cuerpo
application/json
¿Esta página le ayudó?
⌘I